package com.handong.smartservice.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface NoticeMapper {
    Map<String, Object> selectDetailNotice(String notice_id);

    List<Map<String, Object>> selectNotice(Boolean isCount, Long offset, Long limit,
        String date_start, String date_end, String title, String content);
    
    int insertNotice(String title, String content, Long gid);

    int updateNotice(Long biz_group_id, String title, String content);
    
    //int deleteNotice(List<Long> ids);
    int changeStateNotice(List<Long> ids, int state);
}
